from polymorphic.models import PolymorphicModel
from phonenumber_field.modelfields import PhoneNumberField

from django.db.models import OneToOneField, CASCADE, CharField
from django.contrib.auth import get_user_model

class Profile(PolymorphicModel):
    user = OneToOneField(get_user_model(), CASCADE)
    mobile = PhoneNumberField(blank=True)

class AdminProfile(Profile):
    role = CharField(max_length=64)